parser.h File Reference
`#include <proton/import_export.h>`
`#include <proton/codec.h>`

Go to the source code of this file.

## Typedefs

typedef struct pn_parser_t | pn_parser_t

## Functions

PN_EXTERN pn_parser_t * | pn_parser (void)
PN_EXTERN int | pn_parser_parse (pn_parser_t *parser, const char *str, pn_data_t *data)
PN_EXTERN int | pn_parser_errno (pn_parser_t *parser)
PN_EXTERN const char * | pn_parser_error (pn_parser_t *parser)
PN_EXTERN void | pn_parser_free (pn_parser_t *parser)

## Typedef Documentation

typedef struct pn_parser_t pn_parser_t

## Function Documentation

PN_EXTERN pn_parser_t* pn_parser | ( | void |  | ) |

PN_EXTERN int pn_parser_errno | ( | pn_parser_t * | parser | ) |

PN_EXTERN const char* pn_parser_error | ( | pn_parser_t * | parser | ) |

PN_EXTERN void pn_parser_free | ( | pn_parser_t * | parser | ) |

PN_EXTERN int pn_parser_parse | ( | pn_parser_t * | parser,
|  | const char * | str,
|  | pn_data_t * | data
| ) |  |